GET /data/persons/{person_id}/time-spents

Get all time spents for the given person. Optionally can accept date range parameters.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

Query parameters

  • start_date string(date)

    Start date for date range filter

  • end_date string(date)

    End date for date range filter

Responses

  • 200 application/json

    All time spents for the given person

    Hide response attributes Show response attributes object
    • id string(uuid)

      Time spent unique identifier

    • person_id string(uuid)

      Person unique identifier

    • duration number(float)

      Time spent duration in hours

    • date string(date)

      Date of time spent entry

  • 400

    Invalid date range parameters

GET /data/persons/{person_id}/time-spents
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents?start_date=2022-07-01&end_date=2022-07-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "start_date": "2022-07-01",
    "end_date": "2022-07-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "person_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "duration": 8.5,
    "date": "2022-07-12"
  }
]